﻿local _, addon = ...

local labels = {
	-- General
	["ALTERNATEMANA"] = MANA,
	-- {value = "POWER"},
	["ITEMLEVEL"] = STAT_AVERAGE_ITEM_LEVEL,
	["MOVESPEED"] = STAT_MOVEMENT_SPEED,
	
	-- Attributes
	["STRENGTH"] = _G["SPELL_STAT"..LE_UNIT_STAT_STRENGTH.."_NAME"],
	["AGILITY"] = _G["SPELL_STAT"..LE_UNIT_STAT_AGILITY.."_NAME"],
	["STAMINA"] = _G["SPELL_STAT"..LE_UNIT_STAT_STAMINA.."_NAME"],
	["INTELLECT"] = _G["SPELL_STAT"..LE_UNIT_STAT_INTELLECT.."_NAME"],
	
	-- Enhancements
	["CRITCHANCE"] = STAT_CRITICAL_STRIKE,
	["SPIRIT"] = _G["SPELL_STAT"..LE_UNIT_STAT_SPIRIT.."_NAME"],
	
	-- Attack
	["ATTACK_DAMAGE"] = DAMAGE,
	["ATTACK_AP"] = STAT_ATTACK_POWER,
	["ATTACK_ATTACKSPEED"] = ATTACK_SPEED,
	
	-- Spell
	["MANAREGEN"] = MANA_REGEN,
	
	-- Defense
}

addon.statsDB = {}

for k, v in pairs(PAPERDOLL_STATCATEGORIES) do
	addon.statsDB[k] = {}
	for i, v in ipairs(v.stats) do
		addon.statsDB[k][i] = {value = v, label = labels[v] or _G["STAT_"..v] or _G[v] or v}
	end
end

---------------------------------------
-- these are functions that were made
-- for "custom made" stat displays
---------------------------------------

